import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const getYesterdayData = (params) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/getYestoday',
    method: 'get',
    params: {
      ...params
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-guosen/bussinessbonusstatic/submit',
    method: 'post',
    data: row
  })
}
